# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetArrayEntry, DXGetArrayEntries

Function

Return a specified item or items from an Array.

Syntax
`
#include <dx/dx.h>
`

Pointer DXGetArrayEntry(ArrayHandle handle, int offset, Pointer scratch)

void DXGetArrayEntries(ArrayHandle handle, int count, int *offsets,
Pointer *entries, Pointer scratch)

Functional Details

Given an `offset` or list of `*offsets` into an Array, the routine returns a pointer or pointers to the memory location(s) containing the Array elements specified. (The Array is specified by the Array handle `handle`, which must first be created by `DXCreateArrayHandle`).

For `DXGetArrayEntry`: The region of memory pointed to by `scratch` must be large enough to hold a specified element.

For `DXGetArrayEntries`: The routine returns a list of pointers in `entries`, which must be large enough to hold `count` pointers. The parameter `scratch` must be large enough to hold `count` items of the Array.

Return Value

Return a pointer or pointers to the specified entry or entries if the "offset" value(s) are valid for the Array. If not, the results are undefined. Note that you should use the return value of this function, not `scratch`.

See Also

`DXCreateArrayHandle, DXFreeArrayHandle, DXGetArrayEntry, DXGetArrayEntries, DXIterateArray`

"Array Handling".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]